{-# LANGUAGE DeriveAnyClass #-}
module Horizon.Spec.Types.HackageSource (HackageSource(MkHackageSource), name, version) where

import           Data.Kind                  (Type)
import           Dhall                      (FromDhall, Generic, ToDhall)
import           Horizon.Spec.Types.Name    (Name)
import           Horizon.Spec.Types.Version (Version)

type HackageSource :: Type
data HackageSource where
  MkHackageSource :: { name :: Name, version :: Version } -> HackageSource
  deriving stock (Eq, Show, Generic)
  deriving anyclass (FromDhall, ToDhall)
