{-# LANGUAGE DeriveAnyClass #-}
module Horizon.Spec.Types.Policy (Policy(Keep, Pin)) where

import           Data.Kind    (Type)
import           Dhall        (FromDhall, ToDhall)
import           GHC.Generics (Generic)

type Policy :: Type
data Policy where
  Keep :: Policy
  Pin  :: Policy
  deriving stock (Eq, Show, Ord, Generic)
  deriving anyclass (FromDhall, ToDhall)
