module Horizon.Spec.Types.Repo (Repo(MkRepo), fromRepo) where

import           Data.Kind              (Type)
import           Data.String            (IsString)
import           Dhall                  (FromDhall, ToDhall)
import           Horizon.Spec.Types.Url (Url)

type Repo :: Type
newtype Repo = MkRepo { fromRepo :: Url }
  deriving stock (Eq, Show)
  deriving newtype (FromDhall, ToDhall, IsString)
